<?php

/**
 * This file will create admin menu page.
 */

class FCPT_Menu_Admin
{

    public function __construct()
    {
        add_action('admin_menu', [$this, 'add_to_admin_menu']);
    }

    public function add_to_admin_menu()
    {
        $capability = 'manage_options';
        $slug = 'fcpay-settings';

        add_menu_page(
            __('Fewcents', 'wp-react-kickoff'),
            __('Fewcents', 'wp-react-kickoff'),
            $capability,
            $slug,
            [$this, 'menu_page_template'],
            'dashicons-money-alt'
        );
    }

    public function menu_page_template()
    {
        echo '<div class="wrap"><div id="fcpay-admin-app"></div></div>';
    }
}
new FCPT_Menu_Admin();
