(function () {
  let pushState = window.history.pushState;
  let replaceState = window.history.replaceState;

  window.history.pushState = function () {
    pushState.apply(window.history, arguments);
    window.dispatchEvent(new Event('pushstate'));
    window.dispatchEvent(new Event('fc_BrowserUrlChanged'));
  };

  window.history.replaceState = function () {
    replaceState.apply(window.history, arguments);
    window.dispatchEvent(new Event('replacestate'));
    window.dispatchEvent(new Event('fc_BrowserUrlChanged'));
  };
})();
