<?php

class FCPT_Menu_Admin_Test extends WP_UnitTestCase
{
  var $class_instance;

  public function setUp()
  {
    parent::setUp();
    $this->class_instance = new FCPT_Menu_Admin();
  }

  public function tearDown(): void
  {
    parent::tearDown();
    $this->class_instance = null;
  }

  public function test_construct()
  {
    $priority = has_action('admin_menu');
    #$this->assertTrue($priority === true);
    $this->assertTrue($priority);
  }

  public function test_add_to_admin_menu()
  {
    $this->class_instance->add_to_admin_menu();
    $this->assertNotEmpty(menu_page_url('fcpay-settings', false));
    // $this->assertSame(
    //   'http://example.org/wp-admin/admin.php?page=fcpay-settings', 
    //   menu_page_url('fcpay-settings', false));
  }

  public function test_menu_page_template()
  {
    ob_start();
    $this->class_instance->menu_page_template();
    $result = ob_get_contents();
    ob_end_clean();

    $expected = '<div class="wrap"><div id="fcpay-admin-app"></div></div>';
    $this->assertEquals($expected, $result);
  }
}
